centos5中升级php5.1.6到php5.3.22

CentOS5.6的php版本默认为5.1.6,然后放php探针的时候。发现不正常。然后查看原来是php中的一个函数没有被支持。就想着把php给升级下。如果下载源码编译会需要很长时间。就找到一个rpm包。之后直接yum 升级!

# rpm -Uvh http://repo.webtatic.com/yum/centos/5/latest.rpm
  Now you can install php by doing:
 
#yum --enablerepo=webtatic install php
 
Or update an existing installation of php, which will also update all of the other php modules installed:
 
#yum --enablerepo=webtatic update php
 
然后
# php -v

/*
[root@us04 ~]# php -v
PHP 5.3.23 (cli) (built: Mar 29 2013 08:36:22) 
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2013 Zend Technologies

*/

相关文章

已有 3 条评论
  1. Xider

    TP要PHP5.3表示桑不起

    Xider 回复
    1. 枫叶红秋雨

      @Xider

      @Xider 现在5.3是主流了。很多都是给予这个开发的了

      枫叶红秋雨 回复
      1. Xider

        @枫叶红秋雨

        不过很多主机还是在用5.2,PHP5.2这只能和IE一样慢慢走

        Xider 回复
发表新评论